## INF Infinity Constant

Section: Base Constants

### Usage

Returns a value that represents positive infinity for both 32 and 64-bit floating point values.

       y = inf

The returned type is a 64-bit float, but demotion to 64 bits preserves the infinity.

### Function Internals

The infinity constant has several interesting properties. In particular:

Note that infinities are not preserved under type conversion to integer types (see the examples below).

### Example

The following examples demonstrate the various properties of the infinity constant.

    --> inf*0
    ans =
      <double>  - size: [1 1]
     nan
    --> inf*2
    ans =
      <double>  - size: [1 1]
     inf
    --> inf*-2
    ans =
      <double>  - size: [1 1]
     -inf
    --> inf/inf
    ans =
      <double>  - size: [1 1]
          nan
    --> inf/0
    ans =
      <double>  - size: [1 1]
     inf
    --> inf/nan
    ans =
      <double>  - size: [1 1]
     nan

Note that infinities are preserved under type conversion to floating point types (i.e., `float`, `double`, `complex` and `dcomplex` types), but not integer types.

    --> uint32(inf)
    ans =
      <uint32>  - size: [1 1]
     0
    --> complex(inf)
    ans =
      <complex>  - size: [1 1]
      inf+   0 i